Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.key.srp6
Class SRP6Host

    java.lang.Object
      |
      +--gnu.crypto.key.BaseKeyAgreementParty
            |
            +--gnu.crypto.key.srp6.SRP6KeyAgreement
                  |
                  +--gnu.crypto.key.srp6.SRP6Host

All Implemented Interfaces:
  IKeyAgreementParty

public class SRP6Host
extends SRP6KeyAgreement

The implementation of the Host in the SRP-6 key agreement protocol.

Reference:

1. SRP Protocol Design
   Thomas J. Wu.

Field Summary

Fields inherited from class gnu.crypto.key.srp6.SRP6KeyAgreement
`g, GENERATOR, HASH_FUNCTION, HOST_PASSWORD_DB, K, N, SHARED_MODULUS, SOURCE_OF_RANDOMNESS, srp, THREE, USER_IDENTITY, USER_PASSWORD`

Fields inherited from class gnu.crypto.key.BaseKeyAgreementParty
`complete, initialised, irnd, name, rnd, step, TWO`

Constructor Summary
`SRP6Host()`

Method Summary
`protected void` | `engineInit(java.util.Map attributes)`
`protected OutgoingMessage` | `engineProcessMessage(IncomingMessage in)`
`protected void` | `engineReset()`

Methods inherited from class gnu.crypto.key.srp6.SRP6KeyAgreement
`engineSharedSecret, uValue`

Methods inherited from class gnu.crypto.key.BaseKeyAgreementParty
`getSharedSecret, init, isComplete, name, nextRandomBytes, processMessage, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SRP6Host

    public SRP6Host()

Method Detail

### engineInit

    protected void engineInit(java.util.Map attributes)
                       throws KeyAgreementException

  Specified by:
    `engineInit` in class `BaseKeyAgreementParty`
    `KeyAgreementException`

### engineProcessMessage

    protected OutgoingMessage engineProcessMessage(IncomingMessage in)
                                            throws KeyAgreementException

  Specified by:
    `engineProcessMessage` in class `BaseKeyAgreementParty`
    `KeyAgreementException`

### engineReset

    protected void engineReset()

  Overrides:
    `engineReset` in class `SRP6KeyAgreement`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.